package com.example.tdl.service;


import com.example.tdl.domain.vo.ResultRoleVo;
import com.example.tdl.domain.vo.RoleNameVo;
import com.example.tdl.domain.vo.UpdateRoleVo;
import com.example.tdl.mapper.RoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class RoleService {
    @Autowired
    private RoleMapper roleMapper;

    public List<RoleNameVo> getAllRoleName(String companyName){
        return roleMapper.getAllRoleName(companyName);
    }

    public Integer getByRoleName(String roleName,String companyName){
        return roleMapper.getByRoleName(roleName,companyName);
    }

    public List<ResultRoleVo> getAll(String companyName){
        return roleMapper.getAll(companyName);
    }

    public int addRole(ResultRoleVo resultRoleVo){
        return roleMapper.addRole(resultRoleVo);
    }

    public int addRoleAndPermission(Map<String,Object> map){
        return roleMapper.addRoleAndPermission(map);
    }

    public int updateRole(UpdateRoleVo updateRoleVo){
        return roleMapper.updateRole(updateRoleVo);
    }

    public int deleteRole(Map<String,Object> map){
        return roleMapper.deleteRole(map);
    }

    public String getRoleNameByUserName(String userName){
        return roleMapper.getRoleNameByUserName(userName);
    }
}
